# NameBasedComponent

Component referenced by name.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enabled** | **boolean** |  | [default to undefined]
**weight** | **number** |  | [optional] [default to 0]
**parameters** | **{ [key: string]: any; }** |  | [optional] [default to undefined]
**name** | **string** |  | [default to undefined]

## Example

```typescript
import { NameBasedComponent } from '@vipr/api';

const instance: NameBasedComponent = {
    enabled,
    weight,
    parameters,
    name,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
